/*Se dispone de dos ficheros con números enteros ordenados de menor  a mayor.
 Escribir los siguientes programas de forma que el fichero  resultante
 contenga los números ordenados de menorr a mayor.*/

#include<stdio.h>
#include<conio.h>
#include <stdlib.h>

void main()
{

	int v1[10],v2[10],v3[20],i,j,a,aux;
	char resultado[4];
	FILE *fichero;

	clrscr();

	freopen("entrada1.txt","r",stdin);
	for(i=0;i<10;i++)
	{
		scanf("%i",&v1[i]);
	}


	freopen("entrada2.txt","r",stdin);
	for(i=0;i<10;i++)
	{
		scanf("%i",&v2[i]);
	}

	a=0;


	for(i=0;i<10;i++)
	{
		v3[i]=v1[i];
	}
	for(i=10;i<20;i++)
	{
		v3[i]=v2[a];
		a++;
	}

	for(i=0;i<20;i++)
	{
		for(a=i+1;a<20;a++)
		{
			if(v3[a]<v3[i])
			{
				aux=v3[i];
				v3[i]=v3[a];
				v3[a]=aux;
			}
		}
	}


	fichero=fopen("salida.txt","w");
	if (fichero==NULL)
		printf("Error de escritura en el fichero\n");
	else
		{
		 /*cada numero --> convertir en cadena itoa */
		 for(a=0;a<20;a++)
		 {
		 itoa(v3[a],resultado,10);
		 fputs(resultado,fichero);
		 fputs(" ",fichero);

		 }

		 fclose(fichero);
		}

}


